/**
 * Clean data.
 * @function _clean
 * @private
 */

"use strict";

/** @lends _clean */
function _clean(data) {
    if (Array.isArray(data)) {
        return data.map(_clean);
    }
    Object.keys(data || {}).forEach(function (key) {
        var isUndefined = typeof(data[key]) === 'undefined';
        if (isUndefined) {
            data[key] = "";
        }
    });
    return data;
}

module.exports = _clean;

