/**
 * Mysql diver instance.
 * @memberof module:pon-db-mysql-driver/lib
 * @function driver
 * @param {object} config - Mysql configuration.
 * @returns {object} - Driver instance.
 */

"use strict";

var mysql = require('mysql'),
    ponDbDriver = require('pon-db-driver'),
    resource = require('./resource');

function driver(config) {
    var connection = mysql.createConnection(config);
    return ponDbDriver({
        connect: function (callback) {
            connection.connect(callback);
        },
        disconnect: function (callback) {
            connection.end(callback);
        },
        resource: function (name, options) {
            options = options || {};
            return resource(connection, name, options);
        }
    })
}
module.exports = driver;
